# Updates an SSO provider Endpoint: PUT /v1/sso/google/{id} Version: V1 Security: authorization_code_with_pkce, client_credentials ## Path parameters: - `id` (integer, required) ## Request fields (application/json): - `id` (integer, required) The id of the identityprovider - `scheme` (string, required) The scheme name for the provider - `displayName` (string, required) The display name of the provider - `enabled` (boolean, required) Whether or not the provider is enabled - `type` (string, required) The type of identityprovider Enum: "oidc" - `properties` (object, required) The properties that defines the behavior of this provider, dependent on which provider that is used, see json schemas for more details - `properties.loginEnabled` (boolean, required) Whether users can log in via this provider. Example: true - `properties.visible` (boolean, required) Whether this provider is shown on the login page. Example: true - `properties.delegationEnabled` (boolean, required) Whether delegation is permitted via this provider. - `properties.autoProvisioningEnabled` (boolean, required) Whether users are automatically provisioned on first login via this provider. Example: true - `properties.clientId` (string, required) The OAuth 2.0 client ID registered with the identity provider. Example: "my-client-id" - `properties.clientSecret` (string,null) The OAuth 2.0 client secret. Leave null for public clients using PKCE. Example: "my-client-secret" - `properties.nameClaimType` (string, required) The claim type used to extract the user's name from the Google token. Example: "name" - `properties.emailClaimType` (string, required) The claim type used to extract the user's email from the Google token. Example: "email" - `properties.phoneNumberClaimType` (string, required) The claim type used to extract the user's phone number from the Google token. Example: "phone" - `properties.subjectClaimType` (string, required) The claim type used to extract the subject identifier from the Google token. Example: "subject" - `properties.usePkce` (boolean, required) Whether to use PKCE for the authorization code flow. - `properties.authority` (string, required) The Google authority URL. Example: "https://accounts.google.com" - `properties.scope` (string, required) The OAuth 2.0 scopes to request (space-separated). Example: "openid profile email" ## Response 200 fields ## Response 401 fields ## Response 403 fields